<?php

namespace App\Enums;

enum UserRoleEnum: string
{
    case SUPER_ADMIN = 'super_admin';
    case ADMIN_TU = 'admin_tu';
    case KEPALA_SEKOLAH = 'kepala_sekolah';
    case GURU = 'guru';
    case SISWA = 'siswa';

    public function label(): string
    {
        return match ($this) {
            self::SUPER_ADMIN => 'Super Admin',
            self::ADMIN_TU => 'Admin Tata Usaha',
            self::KEPALA_SEKOLAH => 'Kepala Sekolah',
            self::GURU => 'Guru',
            self::SISWA => 'Siswa',
        };
    }
}
